#include <iostream>

#include <opencv2/core/core.hpp>
#include <opencv2/imgproc/imgproc.hpp>
#include <opencv2/objdetect/objdetect.hpp>

#include "Settings.h"
#include "FaceProcessing.h"

using namespace std;
using namespace cv;

bool findFace(Mat& in, Mat& out, CascadeClassifier& faceCascade) {
	Mat grayscale, face;
	vector<Rect> faces;
	bool result;

	cvtColor(in, grayscale, CV_BGR2GRAY);
	equalizeHist(grayscale, grayscale);

	faceCascade.detectMultiScale(grayscale, faces, 1.1, 2, CV_HAAR_FIND_BIGGEST_OBJECT | CV_HAAR_SCALE_IMAGE, Size(60, 80));

	if (faces.size() > 0) {
		face = grayscale(Rect(faces[0].x, faces[0].y, faces[0].width, faces[0].height));

		resize(face, face, Size(gWidth, gHeight));
		equalizeHist(face, face);
		
		face.copyTo(out);
		result = true;
	} 
	else {
		result = false;
	}

	return result;
}




